/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Paul Lehmann
 *   Co-authors:
 *      ...
 *
 */

#ifndef _Task_H__
#define _Task_H__

#include "infos/PlayerInfo.h"
#include "tools/interfaces/Tickable.h"

namespace orxonox
{
    class _OrxonoxExport Task : public Tickable
    {
        public:
            Task(Context* context);
            virtual ~Task(){}

            //this function needs to be called otherwise the task is never carriedout
            void initialize(float startTime);

            virtual void tick(float dt) override;

            void setIsRunning(bool shouldBeRunning)
                {isRunning_ = shouldBeRunning;}

            bool getIsRunning()
                {return isRunning_;}

            float getStartTime()
                {return startTime_;}

       //private:

        	bool isRunning_;

        	float startTime_;

    };
}

#endif /* _Task_H__ */
